const initializeFrame = async () => {
  try {
    const frameContext = await window.frames.getContext();
    console.log('Frame context:', frameContext);

    const amountInput = document.querySelector('#amount');
    const sendButton = document.querySelector('.frameButton');

    sendButton.addEventListener('click', async () => {
      try {
        const amount = amountInput.value;
        if (!amount || amount <= 0) {
          alert('Please enter a valid amount');
          return;
        }

        await window.frames.postMessage({
          action: 'post',
          amount: amount
        });
      } catch (error) {
        console.error('Frame action error:', error);
      }
    });

    await window.frames.ready();
  } catch (error) {
    console.error('Frame initialization error:', error);
  }
};

document.addEventListener('DOMContentLoaded', initializeFrame);
